Suggestion fails to show
Closed, ResolvedPublic1 Story Points

Description

CX @ Master
cxserver @ Master

[error] [567037a0] /mw-master/core/api.php?action=query&format=json&list=contenttranslationsuggestions&from=en&to=gu&limit=4&seed=3255   ErrorException from line 117 of /home/kartik/development/WP/repos/LE/CX/ContentTranslation/api/ApiQueryContentTranslationSuggestions.php: PHP Warning: Invalid argument supplied for foreach()
#0 /home/kartik/development/WP/repos/LE/CX/ContentTranslation/api/ApiQueryContentTranslationSuggestions.php(117): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /home/kartik/development/WP/repos/LE/CX/ContentTranslation/api/ApiQueryContentTranslationSuggestions.php(26): ApiQueryContentTranslationSuggestions->run()
#2 /var/www/mw-master/core/includes/api/ApiQuery.php(287): ApiQueryContentTranslationSuggestions->execute()
#3 /var/www/mw-master/core/includes/api/ApiMain.php(1237): ApiQuery->execute()
#4 /var/www/mw-master/core/includes/api/ApiMain.php(433): ApiMain->executeAction()
#5 /var/www/mw-master/core/includes/api/ApiMain.php(405): ApiMain->executeActionWithErrorHandling()
#6 /var/www/mw-master/core/api.php(88): ApiMain->execute()
#7 {main}
KartikMistry updated the task description. (Show Details)
KartikMistry raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 9 2015, 4:48 PM
Arrbee triaged this task as High priority.Nov 10 2015, 7:09 AM
Arrbee set Security to None.

This surfaced recently and may affect production. Hence it has been included in the sprint as unplanned work.

Change 252167 had a related patch set uploaded (by Nikerabbit):
Fixed a bug that prevented suggestions from showing

https://gerrit.wikimedia.org/r/252167

Change 252167 merged by jenkins-bot:
Fixed a bug that prevented suggestions from showing

https://gerrit.wikimedia.org/r/252167

KartikMistry moved this task from Backlog to QA on the LE-CX7-Sprint 3 board.Nov 10 2015, 8:48 AM

Change 252172 had a related patch set uploaded (by KartikMistry):
Fixed a bug that prevented suggestions from showing

https://gerrit.wikimedia.org/r/252172

Change 252172 merged by jenkins-bot:
Fixed a bug that prevented suggestions from showing

https://gerrit.wikimedia.org/r/252172

KartikMistry moved this task from QA to Done on the LE-CX7-Sprint 3 board.Nov 10 2015, 4:30 PM
Amire80 moved this task from Backlog to CX7 on the ContentTranslation board.Nov 11 2015, 7:44 AM
Arrbee closed this task as Resolved.Nov 18 2015, 7:10 AM
santhosh edited a custom field.Nov 27 2015, 5:38 AM